Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## toolkit.db.api
Class SubLinkInfo

    java.lang.Object
      toolkit.db.api.SubLinkInfo

    public class SubLinkInfo

extends java.lang.Object

Class SubLinkInfo wraps all info of related sublinks.

Method Summary
`boolean` | `equals(java.lang.Object obj)` Compares this SubLinkInfo with the specified object.
`java.lang.String` | `getOperator()` Gets the value of the operator.
`ColumnInfo` | `getSubColumn()` Gets the ColumnInfo of this SubLinkInfo.
`java.lang.String` | `getValue()` Gets the value of this SubLinkInfo represented in string.
`java.lang.String` | `toString()` Returns a string representing this SubLinkInfo's values.

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### getSubColumn

    public ColumnInfo getSubColumn()

  Gets the ColumnInfo of this SubLinkInfo.

  Returns:
    the columnInfo of this SubLinkInfo.

### getOperator

    public java.lang.String getOperator()

  Gets the value of the operator.

  Returns:
    the operator value.

### getValue

    public java.lang.String getValue()

  Gets the value of this SubLinkInfo represented in string.

  Returns:
    parameter value text.

### equals

    public boolean equals(java.lang.Object obj)

  Compares this SubLinkInfo with the specified object.

  Overrides:
    `equals` in class `java.lang.Object`
  Returns:
    true if the SubLinkInfo are the same, false otherwise.

### toString

    public java.lang.String toString()

  Returns a string representing this SubLinkInfo's values. The format is as follows:

  >       className@hashCode[ columnMappingName | operator | value ]

  Overrides:
    `toString` in class `java.lang.Object`
  Returns:
    a string representing this SubLinkInfo.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD